package cn.com.tenlion.configcolumn.pojo.vos.configcolumnset;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ConfigColumnSetDisplayVO
 * @Description:
 * @Author: CodeFactory
 * @Date: 2021-07-09 09:48:21
 * @Version: 3.0
 **/
@ApiModel
public class ConfigColumnSetDisplayVO {

    @ApiModelProperty(name = "configColumnId", value = "栏目ID")
    @CheckEmptyAnnotation(name = "栏目ID")
    private String configColumnId;
    @ApiModelProperty(name = "configColumnSetMode", value = "设置模式1:隐藏,2:更名,3:排序,4:图标(前端无需传入)")
    private String configColumnSetMode = "1";

    public String getConfigColumnId() {
        return configColumnId == null ? "" : configColumnId;
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getConfigColumnSetMode() {
        return configColumnSetMode == null ? "" : configColumnSetMode;
    }

    public void setConfigColumnSetMode(String configColumnSetMode) {
        this.configColumnSetMode = configColumnSetMode;
    }
}
